Bug 484645 - Sometimes, NetworkManager needs to be restarted in order to get network connection
Sometimes, NetworkManager needs to be restarted in order to get network conne...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 03:53 EST by Troels Arvin
Modified: 2009-10-18 17:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-18 17:55:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Lines from /var/log/messages (19.70 KB, text/plain)
2009-03-09 05:16 EDT, Troels Arvin
no flags Details
Another cut-n-paste from /var/log/messages; this time after a cold boot, after the PC had been turned off for around 17 hours (71.85 KB, text/plain)
2009-03-10 03:52 EDT, Troels Arvin
no flags Details

  None (edit)
Description Troels Arvin 2009-02-09 03:53:55 EST
Description of problem:
Setup: Dell laptop running Fedora 10 with all updates, connected to LAN via ethernet, using DHCP addresses. Sometimes, when the PC is booted, a "network disabled" status is shown in the NetworkManager Panel icon. I then try to disable network+enable network again, through the pop-up menu from the NetworkManager panel icon, but as soon as I re-enable the network, the connection is immediately set to disconnected again. The only way to get network connectivity is to restart the NetworkManager service: After this, around 10 seconds pass, and then the NetworkManager icon shows that a connection attempt is in progress; and finally, a network connection (DHCP address) is obtained.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-1.git20090102.fc10.i386

How reproducible:
No way to systematically reproduce it. It only happens once a week, or so.

Steps to Reproduce:
1. Attach PC to network
2. Turn on PC; make sure that the ethernet link LED is on
3. Log in
  
Actual results:
NetworkManager icon shows a disconnected network, and disabling+enabling through the NetworkManager icon popup-menu doesn't work, even after many re-tries. NetworkManager seems to give up on the network immediately.

Expected results:
NetworkManager would try get an address, instead of immediately giving up.

Additional info:
I believe that this problem existed with Fedora 9, too.
Comment 1 Dan Williams 2009-02-12 18:16:09 EST
Can you attach your /var/log/messages from after you've toggled Enable Networking once or twice?  I'd like to see what NM says it's doing to figure out if it's a NetworkManager problem or something like a kernel driver carrier bug.
Comment 2 Troels Arvin 2009-03-09 05:16:32 EDT
Created attachment 334480 [details]
Lines from /var/log/messages
Comment 3 Troels Arvin 2009-03-10 03:52:49 EDT
Created attachment 334600 [details]
Another cut-n-paste from /var/log/messages; this time after a cold boot, after the PC had been turned off for around 17 hours
Comment 4 Niels Haase 2009-04-10 16:08:20 EDT
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Troels Arvin 2009-10-18 17:55:24 EDT
I don't have a Fedora 10 installation any longer (I have upgraded to Fedora 11 a while ago.)

I haven't seen the problem for a long time. We can probably consider this closed.

Note You need to log in before you can comment on or make changes to this bug.